<?php

namespace ProgrammaBill;

use Carbon\CarbonInterval;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class CustomTwig extends AbstractExtension {

    private $locale;

    public function setLocale($locale) {
        $this->locale = $locale;
    }

    public function getName() {
        return "custom";
    }

    public function getFilters() {
        CarbonInterval::setCascadeFactors([
            'minute' => [60, 'seconds'],
            'hour' => [60, 'minutes']
        ]);

        return [
            new TwigFilter('hoursMinutes', function($hours) {
                if (intval($hours) == $hours) {
                    // Full hours, no need to format with minutes
                    return $hours;
                } else {
                    // Need to show hours:minutes format
                    return CarbonInterval::fromString(($hours*60).'m')->cascade()->format('%H:%I');
                }
            })
        ];
    }

}
