<?php

namespace ProgrammaBill\Entities;

use Doctrine\ORM\Mapping AS ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * An Identity is an entity which can group a set of actors together that represent
 * the same real-world identity (i.e. person, company) over multiple marketplaces.
 *
 * @ORM\Entity
 * @ORM\Table(name="mi_identity")
 */
class Identity extends BaseEntity {

    // no additional fields required over BaseEntity

    /** @ORM\OneToMany(targetEntity="Actor", mappedBy="identity", cascade={"persist"}) **/
    private $actors;

    public function __construct() {
        parent::__construct();

        $this->actors = new ArrayCollection;
    }

    /**
     * Get all actors that have this identity.
     */
    public function getActors() {
        return $this->actors;
    }

}