<?php

namespace ProgrammaBill\Entities;

use Doctrine\ORM\Mapping AS ORM;

/**
 * A Payment Instruction encapsulates information that is used
 * to display payment instructions on invoices as well as optionally
 * handle payment status update.
 *
 * @ORM\Entity(repositoryClass="ProgrammaBill\Repositories\PaymentInstructionRepository")
 * @ORM\Table(name="mi_payment_instructions")
 */
class PaymentInstruction extends BaseEntity {

    /** @ORM\Column(type="string", length=200) **/
    private $coid;

    /** @ORM\Column(type="string", length=45) **/
    private $revision;

    public function __construct($coid, $revision) {
        parent::__construct();

        $this->coid = $coid;
        $this->revision = $revision;
    }

    /**
     * Get the COID of the payment instruction.
     */ 
    public function getCOID() {
        return $this->coid;
    }

    /**
     * Get the revision of the payment instruction.
     */ 
    public function getRevision() {
        return $this->revision;
    }

}
