<?php

namespace ProgrammaBill;

use InvalidArgumentException;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpKernel\Event\ExceptionEvent;

class ErrorHandler {

    public function onKernelException(ExceptionEvent $event) {
        $exception = $event->getThrowable();

        if (is_a($exception, InvalidArgumentException::class)) {
            // Custom message for InvalidArgumentException, 400 error
            $event->setResponse(new JsonResponse([
                'error' => [
                    'message' => $exception->getMessage()
                ]
            ], 400));
        }
    }

}