<?php

namespace ProgrammaBill;

use Symfony\Component\HttpFoundation\Request;
use Doctrine\ORM\QueryBuilder;

class FilterQuerySet {

    private $parameters = [];

    public static function fromRequest(Request $r, array $allowedParameters) {
        $fqs = new FilterQuerySet;
        
        foreach ($allowedParameters as $p) {
            if ($r->query->has($p)) {
                $fqs->parameters[$p] = $r->query->get($p);
            }
        }

        return $fqs;
    }

    public function apply(QueryBuilder $qb, string $keyPrefix) {
        foreach ($this->parameters as $key => $value) {
            switch ($key) {
                case 'from':
                    $qb->andWhere($keyPrefix . '.created_timestamp > :from')
                        ->setParameter('from', $value);
                    break;
                case 'to':
                    $qb->andWhere($keyPrefix . '.created_timestamp < :to')
                        ->setParameter('to', $value);
                    break;
            }
        }
    }

}