<?php

namespace ProgrammaBill\MarketplaceAPI;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException,
    Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use Doctrine\ORM\EntityManagerInterface;
use ProgrammaBill\AuthenticationSubscriber, 
    ProgrammaBill\FilterQuerySet;
use ProgrammaBill\Entities\Transaction;

/**
 * @Route("/api")
 */
class Analytics extends AbstractController {

    private $as;

    public function __construct(AuthenticationSubscriber $authenticationSubscriber) {        
        $this->as = $authenticationSubscriber;
    }

    /**
     * @Route("/analytics", methods="GET")
     */
    public function getAnalytics(Request $r) {
        $repository = $this->getDoctrine()->getRepository(Transaction::class);
               
        // Query repository
        $transactions = $repository->getAllForMarketplace(
            $this->as->getMarketplace(),
            FilterQuerySet::fromRequest($r, [ 'from', 'to' ])
        );

        // Process transactions
        $counts = [
            'transactions_total' => 0,
            'invoices_total' => 0
        ];

        // TODO: add other counts

        foreach ($transactions as $t) {
            $counts['transactions_total']++;
            foreach ($t->getInvoices() as $i) {
                $counts['invoices_total']++;
            }
        }

        return $this->json([
            'counts' => $counts
        ]);
    }

}
