<?php

namespace ProgrammaBill\Repositories;

use ML\IRI\IRI;
use Doctrine\ORM\EntityRepository, Doctrine\ORM\NoResultException;
use ProgrammaBill\Entities\Marketplace;

class MarketplaceRepository extends EntityRepository {

	public function fetchOrCreateWithNamespace($service_domain) {
		try {
			$query = $this->_em->createQuery('SELECT m FROM ProgrammaBill\Entities\Marketplace m WHERE m.service_domain = :service_domain');
			$query->setParameter('service_domain', $service_domain);
			return $query->getSingleResult();
		} catch (NoResultException $e) {
            $marketplace = new Marketplace($service_domain);
			$this->_em->persist($marketplace);
			$this->_em->flush();
			return $marketplace;
		}
    }

	public function fetchOrCreateWithCOID(IRI $coid) {
		return $this->fetchOrCreateWithNamespace($coid->getHost());
    }

}
