<?php

namespace ProgrammaBill\Repositories;

use Doctrine\ORM\EntityRepository, Doctrine\ORM\NoResultException;
use ProgrammaBill\Entities\RemoteService;

class RemoteServiceRepository extends EntityRepository {

	public function fetchOrCreateWithNamespace($service_domain) : RemoteService {
		try {
			$query = $this->_em->createQuery('SELECT s FROM ProgrammaBill\Entities\RemoteService s WHERE s.service_domain = :service_domain');
			$query->setParameter('service_domain', $service_domain);
			return $query->getSingleResult();
		} catch (NoResultException $e) {
            $service = new RemoteService($service_domain);
			$this->_em->persist($service);
			return $service;
		}
    }

}
