<?php

namespace ProgrammaBill\UserAPI;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request,
  Symfony\Component\HttpFoundation\Response;
use Doctrine\ORM\NoResultException;
use ProgrammaBill\Entities\Invoice;

class Invoices extends AbstractController {

  /**
   * Implementation of GET /invoices/{number}
   */
  public function getOne($number) {
    $query = $app['orm.em']->createQuery("SELECT i FROM ProgrammaBill\Entities\Invoice i "
      ."JOIN i.transaction t WHERE i.number = :number AND t.marketplace = :marketplace AND ("
      ."(t.merchant = :actor AND i.invoice_type = :type_p2m) OR"
      ."(t.customer = :actor AND i.invoice_type = :type_p2c))");
    $query->setParameters(array(
      'number' => $number,
      'marketplace' => $app['actor']->getMarketplace(),
      'actor' => $app['actor'],
      'type_p2m' => Invoice::TYPE_PLATFORM_TO_MERCHANT,
      'type_p2c' => Invoice::TYPE_PLATFORM_TO_CUSTOMER
    ));

    try {
      $invoice = $query->getSingleResult();

      return $app->json($invoice->createAPIResponse($app['actor'], array(
        'embed_items' => true,
        'embed_tax_summary' => true,
        'embed_addresses' => true
      )));
    } catch (NoResultException $e) {
      $app->abort(404);
    }
  }

}
