<?php

namespace ProgrammaBill\UserAPI;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request,
  Symfony\Component\HttpFoundation\Response;
use Doctrine\ORM\NoResultException;
use ProgrammaBill\Entities\Invoice;

class Merchants extends AbstractController{

  /**
   * Implementation of GET /merchants/{aauid}/invoices/{number}
   */
  public function getInvoice($aauid, $number) {
    $query = $app['orm.em']->createQuery("SELECT i FROM ProgrammaBill\Entities\Invoice i, ProgrammaBill\Entities\Transaction t "
      ."JOIN t.merchant m WHERE i.transaction = t AND i.number = :number AND t.marketplace = :marketplace "
      ."AND m.aauid = :merchant_aauid AND i.invoice_type = :type_p2m");
    $query->setParameters(array( //
      'number' => $number,
      'marketplace' => $app['actor']->getMarketplace(),
      'merchant_aauid' => $aauid,
      'type_p2m' => Invoice::TYPE_MERCHANT_TO_CUSTOMER
    ));

    try {
      $invoice = $query->getSingleResult();

      return $app->json($invoice->createAPIResponse($app['actor'], array(
        'embed_items' => true,
        'embed_tax_summary' => true
      )));
    } catch (NoResultException $e) {
      $app->abort(404);
    }
  }

}
