# ProgrammaBill

ProgrammaBill is an invoicing platform that's - true to it's name that's derived from "programmable" - fully available through its API, which allows for deep integration into process automation, ecommerce, payment and bookkeeping services. It's available as an SaaS product in two variants:

- **ProgrammaBill Direct** is a solution for freelancers and small businesses that want to send a limited number of invoices.
- **ProgrammaBill Platform** is a solution for companies with extended invoicing needs as well as marketplaces and resellers. It allows creating invoices in the name of multiple merchants managing multi-actor transactions involving the marketplace/platform, consumers and merchants.

It's possible to join as a merchant for _ProgrammaBill Direct_ through the Web UI. Setting up a marketplace in the ProgrammaBill Platform requires manual onboarding.

Marketplaces can be isolated in the system or "autolinked" with other marketplaces or ProgrammaBill Direct (which, technically, is another marketplace in the platform). Through autolinking, _actors_ (= consumers and merchant) are linked into one _identity_ over multiple marketplaces, which allows them to aggregate invoices sent and received.

## Marketplaces and Actors

A marketplace is an entity using the _ProgrammaBill Platform_. An actor is any end user of that marketplace, which can either represent an individual or a company or other legal entity. Actors can be merchants or consumers. The same actor can be the consumer in some and the merchant in other transactions.

## Transactions and Invoices

A transaction includes up to three parties: the marketplace, an actor as merchant, and an actor as consumer. It can contain up to one invoice of each of the following types:

- **P2C** - Platform-to-Consumer: An invoice originating from the marketplace to the consumer actor; used for products and services billed directly by the marketplace.
- **P2M** - Platform-to-Merchant: An invoice originating from the marketplace to the merchant actor; typically used for commissions or other fees.
- **M2C** - Merchant-to-Consumer: An invoice originating from a merchant actor to the consumer actor; used for products and services billed from one actor to another.
- **M2P** - Merchant-to-Platform: An invoice originating from a merchant actor to the marketplace; used for products and services sold by the merchant to the marketplace.

Note that this always indicates the direction of who invoices who. The payment then flows in the opposite direction.

## ProgrammaBill Web UI

Users can sign in to the ProgrammaBill Web UI through either of the following means:

- **ProgrammaBill Direct Signin** - using email authentication either with a user-defined password or with a one-time code or magic link.
- **Marketplace Signin** -using third-party authentication through a marketplace that's using the _ProgrammaBill Platform_.

When signing in through email, users can access one of the following account types, which have different capabilities shown in the Web UI:

- **Basic** is the account that users receive when they sign in for the first time. It has no capabilities besides allowing the user to upgrade their account to a **Direct Merchant** account for _ProgrammaBill Direct_.
- **Consumer** is an account that has already received invoices, which can be either from a _Direct_ merchant or from a marketplace or marketplace actor linked to _ProgrammaBill Direct_. Users have read-only access to these invoices.
- **Marketplace Merchant** is an account that has sent invoices through a marketplaces linked to _ProgrammaBill Direct_. Users can view their marketplace transactions and their invoices and mark them as paid.
- **Direct Merchant** is an account that has joined _ProgrammaBill Direct_ as a merchant. Users can view and edit their details and their invoices as well as send new invoices and track their payment status.
- **Combined Accounts** have any combination of _Consumer_, _Marketplace Merchant_ and _Direct Merchant_ capabilities, depending on which case applies.

When signing in as a marketplace actor, users can access one of the following account types, which have different capabilities shown in the Web UI:

- **Marketplace Actor** is an account that has sent or received invoices through the marketplace they signed in to. Users can view their marketplace transactions and their invoices and, for those where they are merchants, mark them as paid.
- **Marketplace Administrator** is an account that can access all activity on the marketplace. Users can see all actors and all transactions and also create new actors, transactions and invoices.
