<?php
// This file was auto-generated from sdk-root/src/data/arc-zonal-shift/2022-10-30/api-2.json
return [ 'version' => '2.0', 'metadata' => [ 'apiVersion' => '2022-10-30', 'endpointPrefix' => 'arc-zonal-shift', 'jsonVersion' => '1.1', 'protocol' => 'rest-json', 'serviceFullName' => 'AWS ARC - Zonal Shift', 'serviceId' => 'ARC Zonal Shift', 'signatureVersion' => 'v4', 'signingName' => 'arc-zonal-shift', 'uid' => 'arc-zonal-shift-2022-10-30', ], 'operations' => [ 'CancelZonalShift' => [ 'name' => 'CancelZonalShift', 'http' => [ 'method' => 'DELETE', 'requestUri' => '/zonalshifts/{zonalShiftId}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'CancelZonalShiftRequest', ], 'output' => [ 'shape' => 'ZonalShift', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ConflictException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'GetManagedResource' => [ 'name' => 'GetManagedResource', 'http' => [ 'method' => 'GET', 'requestUri' => '/managedresources/{resourceIdentifier}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'GetManagedResourceRequest', ], 'output' => [ 'shape' => 'GetManagedResourceResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'ListManagedResources' => [ 'name' => 'ListManagedResources', 'http' => [ 'method' => 'GET', 'requestUri' => '/managedresources', 'responseCode' => 200, ], 'input' => [ 'shape' => 'ListManagedResourcesRequest', ], 'output' => [ 'shape' => 'ListManagedResourcesResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'ListZonalShifts' => [ 'name' => 'ListZonalShifts', 'http' => [ 'method' => 'GET', 'requestUri' => '/zonalshifts', 'responseCode' => 200, ], 'input' => [ 'shape' => 'ListZonalShiftsRequest', ], 'output' => [ 'shape' => 'ListZonalShiftsResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'StartZonalShift' => [ 'name' => 'StartZonalShift', 'http' => [ 'method' => 'POST', 'requestUri' => '/zonalshifts', 'responseCode' => 201, ], 'input' => [ 'shape' => 'StartZonalShiftRequest', ], 'output' => [ 'shape' => 'ZonalShift', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ConflictException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'UpdateZonalShift' => [ 'name' => 'UpdateZonalShift', 'http' => [ 'method' => 'PATCH', 'requestUri' => '/zonalshifts/{zonalShiftId}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'UpdateZonalShiftRequest', ], 'output' => [ 'shape' => 'ZonalShift', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ConflictException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], ], ], ], 'shapes' => [ 'AccessDeniedException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 403, 'senderFault' => true, ], 'exception' => true, ], 'AppliedStatus' => [ 'type' => 'string', 'enum' => [ 'APPLIED', 'NOT_APPLIED', ], ], 'AppliedWeights' => [ 'type' => 'map', 'key' => [ 'shape' => 'AvailabilityZone', ], 'value' => [ 'shape' => 'Weight', ], ], 'AvailabilityZone' => [ 'type' => 'string', 'max' => 20, 'min' => 0, ], 'AvailabilityZones' => [ 'type' => 'list', 'member' => [ 'shape' => 'AvailabilityZone', ], ], 'CancelZonalShiftRequest' => [ 'type' => 'structure', 'required' => [ 'zonalShiftId', ], 'members' => [ 'zonalShiftId' => [ 'shape' => 'ZonalShiftId', 'location' => 'uri', 'locationName' => 'zonalShiftId', ], ], ], 'ConflictException' => [ 'type' => 'structure', 'required' => [ 'message', 'reason', ], 'members' => [ 'message' => [ 'shape' => 'String', ], 'reason' => [ 'shape' => 'ConflictExceptionReason', ], 'zonalShiftId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 409, 'senderFault' => true, ], 'exception' => true, ], 'ConflictExceptionReason' => [ 'type' => 'string', 'enum' => [ 'ZonalShiftAlreadyExists', 'ZonalShiftStatusNotActive', 'SimultaneousZonalShiftsConflict', ], ], 'ExpiresIn' => [ 'type' => 'string', 'max' => 5, 'min' => 2, 'pattern' => '^([1-9][0-9]*)(m|h)$', ], 'ExpiryTime' => [ 'type' => 'timestamp', ], 'GetManagedResourceRequest' => [ 'type' => 'structure', 'required' => [ 'resourceIdentifier', ], 'members' => [ 'resourceIdentifier' => [ 'shape' => 'ResourceIdentifier', 'location' => 'uri', 'locationName' => 'resourceIdentifier', ], ], ], 'GetManagedResourceResponse' => [ 'type' => 'structure', 'required' => [ 'appliedWeights', 'zonalShifts', ], 'members' => [ 'appliedWeights' => [ 'shape' => 'AppliedWeights', ], 'arn' => [ 'shape' => 'ResourceArn', ], 'name' => [ 'shape' => 'ResourceName', ], 'zonalShifts' => [ 'shape' => 'ZonalShiftsInResource', ], ], ], 'InternalServerException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 500, ], 'exception' => true, 'fault' => true, ], 'ListManagedResourcesRequest' => [ 'type' => 'structure', 'members' => [ 'maxResults' => [ 'shape' => 'MaxResults', 'location' => 'querystring', 'locationName' => 'maxResults', ], 'nextToken' => [ 'shape' => 'String', 'location' => 'querystring', 'locationName' => 'nextToken', ], ], ], 'ListManagedResourcesResponse' => [ 'type' => 'structure', 'required' => [ 'items', ], 'members' => [ 'items' => [ 'shape' => 'ManagedResourceSummaries', ], 'nextToken' => [ 'shape' => 'String', ], ], ], 'ListZonalShiftsRequest' => [ 'type' => 'structure', 'members' => [ 'maxResults' => [ 'shape' => 'MaxResults', 'location' => 'querystring', 'locationName' => 'maxResults', ], 'nextToken' => [ 'shape' => 'String', 'location' => 'querystring', 'locationName' => 'nextToken', ], 'status' => [ 'shape' => 'ZonalShiftStatus', 'location' => 'querystring', 'locationName' => 'status', ], ], ], 'ListZonalShiftsResponse' => [ 'type' => 'structure', 'members' => [ 'items' => [ 'shape' => 'ZonalShiftSummaries', ], 'nextToken' => [ 'shape' => 'String', ], ], ], 'ManagedResourceSummaries' => [ 'type' => 'list', 'member' => [ 'shape' => 'ManagedResourceSummary', ], ], 'ManagedResourceSummary' => [ 'type' => 'structure', 'required' => [ 'availabilityZones', ], 'members' => [ 'arn' => [ 'shape' => 'ResourceArn', ], 'availabilityZones' => [ 'shape' => 'AvailabilityZones', ], 'name' => [ 'shape' => 'ResourceName', ], ], ], 'MaxResults' => [ 'type' => 'integer', 'box' => true, 'max' => 100, 'min' => 1, ], 'ResourceArn' => [ 'type' => 'string', 'max' => 1024, 'min' => 8, 'pattern' => '^arn:.*$', ], 'ResourceIdentifier' => [ 'type' => 'string', 'max' => 1024, 'min' => 8, ], 'ResourceName' => [ 'type' => 'string', 'max' => 256, 'min' => 1, ], 'ResourceNotFoundException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 404, 'senderFault' => true, ], 'exception' => true, ], 'StartTime' => [ 'type' => 'timestamp', ], 'StartZonalShiftRequest' => [ 'type' => 'structure', 'required' => [ 'awayFrom', 'comment', 'expiresIn', 'resourceIdentifier', ], 'members' => [ 'awayFrom' => [ 'shape' => 'AvailabilityZone', ], 'comment' => [ 'shape' => 'ZonalShiftComment', ], 'expiresIn' => [ 'shape' => 'ExpiresIn', ], 'resourceIdentifier' => [ 'shape' => 'ResourceIdentifier', ], ], ], 'String' => [ 'type' => 'string', ], 'ThrottlingException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 429, 'senderFault' => true, ], 'exception' => true, ], 'UpdateZonalShiftRequest' => [ 'type' => 'structure', 'required' => [ 'zonalShiftId', ], 'members' => [ 'comment' => [ 'shape' => 'ZonalShiftComment', ], 'expiresIn' => [ 'shape' => 'ExpiresIn', ], 'zonalShiftId' => [ 'shape' => 'ZonalShiftId', 'location' => 'uri', 'locationName' => 'zonalShiftId', ], ], ], 'ValidationException' => [ 'type' => 'structure', 'required' => [ 'message', 'reason', ], 'members' => [ 'message' => [ 'shape' => 'String', ], 'reason' => [ 'shape' => 'ValidationExceptionReason', ], ], 'error' => [ 'httpStatusCode' => 400, 'senderFault' => true, ], 'exception' => true, ], 'ValidationExceptionReason' => [ 'type' => 'string', 'enum' => [ 'InvalidExpiresIn', 'InvalidStatus', 'MissingValue', 'InvalidToken', 'InvalidResourceIdentifier', 'InvalidAz', 'UnsupportedAz', ], ], 'Weight' => [ 'type' => 'float', 'box' => true, 'max' => 1.0, 'min' => 0.0, ], 'ZonalShift' => [ 'type' => 'structure', 'required' => [ 'awayFrom', 'comment', 'expiryTime', 'resourceIdentifier', 'startTime', 'status', 'zonalShiftId', ], 'members' => [ 'awayFrom' => [ 'shape' => 'AvailabilityZone', ], 'comment' => [ 'shape' => 'ZonalShiftComment', ], 'expiryTime' => [ 'shape' => 'ExpiryTime', ], 'resourceIdentifier' => [ 'shape' => 'ResourceIdentifier', ], 'startTime' => [ 'shape' => 'StartTime', ], 'status' => [ 'shape' => 'ZonalShiftStatus', ], 'zonalShiftId' => [ 'shape' => 'ZonalShiftId', ], ], ], 'ZonalShiftComment' => [ 'type' => 'string', 'max' => 128, 'min' => 0, ], 'ZonalShiftId' => [ 'type' => 'string', 'max' => 36, 'min' => 6, 'pattern' => '^[A-Za-z0-9-]+$', ], 'ZonalShiftInResource' => [ 'type' => 'structure', 'required' => [ 'appliedStatus', 'awayFrom', 'comment', 'expiryTime', 'resourceIdentifier', 'startTime', 'zonalShiftId', ], 'members' => [ 'appliedStatus' => [ 'shape' => 'AppliedStatus', ], 'awayFrom' => [ 'shape' => 'AvailabilityZone', ], 'comment' => [ 'shape' => 'ZonalShiftComment', ], 'expiryTime' => [ 'shape' => 'ExpiryTime', ], 'resourceIdentifier' => [ 'shape' => 'ResourceIdentifier', ], 'startTime' => [ 'shape' => 'StartTime', ], 'zonalShiftId' => [ 'shape' => 'ZonalShiftId', ], ], ], 'ZonalShiftStatus' => [ 'type' => 'string', 'enum' => [ 'ACTIVE', 'EXPIRED', 'CANCELED', ], ], 'ZonalShiftSummaries' => [ 'type' => 'list', 'member' => [ 'shape' => 'ZonalShiftSummary', ], ], 'ZonalShiftSummary' => [ 'type' => 'structure', 'required' => [ 'awayFrom', 'comment', 'expiryTime', 'resourceIdentifier', 'startTime', 'status', 'zonalShiftId', ], 'members' => [ 'awayFrom' => [ 'shape' => 'AvailabilityZone', ], 'comment' => [ 'shape' => 'ZonalShiftComment', ], 'expiryTime' => [ 'shape' => 'ExpiryTime', ], 'resourceIdentifier' => [ 'shape' => 'ResourceIdentifier', ], 'startTime' => [ 'shape' => 'StartTime', ], 'status' => [ 'shape' => 'ZonalShiftStatus', ], 'zonalShiftId' => [ 'shape' => 'ZonalShiftId', ], ], ], 'ZonalShiftsInResource' => [ 'type' => 'list', 'member' => [ 'shape' => 'ZonalShiftInResource', ], ], ],];
